### org.jfree.layouting.modules.output.html

# Interface HtmlOutputProcessor

All Superinterfaces:
  OutputProcessor

Known Implementing Classes:
  FlowHtmlOutputProcessor, PageableHtmlOutputProcessor, StreamingHtmlOutputProcessor

`public interface HtmlOutputProcessor`
`extends OutputProcessor`

Creation-Date: 02.12.2006, 15:15:25

Author:
  Thomas Morgner

  ## Method Summary

  `HtmlPrinter`

  `getPrinter()`

  `void`

  `setPrinter(HtmlPrinter printer)`

  ### Methods inherited from interface org.jfree.layouting.output.OutputProcessor

  `createInputFeed`, `createModelBuilder`, `createNormalizer`, `createRenderer`, `getConfiguration`, `getLogicalPage`, `getLogicalPageCount`, `getMetaData`, `getPageCursor`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processingFinished`, `setPageCursor`

## Method Details

### getPrinter

    public HtmlPrinter getPrinter()

### setPrinter

    public void setPrinter(HtmlPrinter printer)